• Could this have something to do with the previously mentioned python update https://forum.antergos.com/topic/10416/python-broken-after-recent-update/2?

    Running hp-doctor referred to some python stuff (sorry, not a dev).

    [email protected]:~$ hp-doctor
    
    HP Linux Imaging and Printing System (ver. 3.18.7)
    Self Diagnse Utility and Healing Utility ver. 1.0
    
    Copyright (c) 2001-15 HP Development Company, LP
    This software comes with ABSOLUTELY NO WARRANTY.
    This is free software, and you are welcome to distribute it
    under certain conditions. See COPYING file for more details.
    
    
    HP Linux Imaging and Printing System (ver. 3.18.7)
    Self Diagnse Utility and Healing Utility ver. 1.0
    
    Copyright (c) 2001-15 HP Development Company, LP
    This software comes with ABSOLUTELY NO WARRANTY.
    This is free software, and you are welcome to distribute it
    under certain conditions. See COPYING file for more details.
    
    \Traceback (most recent call last):
      File "/usr/share/hplip/base/utils.py", line 266, in walkFiles
        names = os.listdir(root)
    FileNotFoundError: [Errno 2] No such file or directory: '/etc/PolicyKit'
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/share/hplip/base/utils.py", line 268, in walkFiles
        raise StopIteration
    StopIteration
    
    The above exception was the direct cause of the following exception:
    
    Traceback (most recent call last):
      File "/usr/sbin/hp-doctor", line 276, in <module>
        dep.core.init()
      File "/usr/share/hplip/installer/core_install.py", line 500, in init
        self.check_dependencies(callback)
      File "/usr/share/hplip/installer/core_install.py", line 593, in check_dependencies
        self.have_dependencies[d] = self.dependencies[d][3]()
      File "/usr/share/hplip/installer/core_install.py", line 1164, in check_policykit
        if check_file('PolicyKit.conf', "/etc/PolicyKit") and check_file('org.gnome.PolicyKit.AuthorizationManager.service', "/usr/share/dbus-1/services"):
      File "/usr/share/hplip/installer/dcheck.py", line 108, in check_file
        for w in utils.walkFiles(dir, recurse=True, abs_paths=True, return_folders=False, pattern=f):
    RuntimeError: generator raised StopIteration
    
    
  • Seems that glibc and python causing a bunch of like this issues on latest updates… Caused by Archlinux is using latest sources, and development of some stuff is a bit behind.

  • So I guess we’re waiting for another hplip update. First samba, now this – somebody doesn’t want me to print. Oh well. Toner and paper are expensive, anyway. I’ll just go back to my Palm Desktop project for a while…

  • I notice very strange things from pacman 5 up to today, moreover, in the last update of kernel 4.17.12-arch1-1-ARCH, I ran out of connection and had to uninstall the Broadcom firmware and renege for a while with NetworkManager as well, re-install the packages and firmware again, in short, minor problems, which make you lose time and do not give you confidence to use such a system, so that I’m reluctant to update …

  • With respect to the printers, also from one kernel to another no longer works, then to go through retouching, reporting bugs, retrieving information from the inet, losing hours sometimes, it is not serious what is happening with one of the best, but the best Linux distro …

  • i just can print again with replacing hplip with hplip-minimal from AUR!

    remove all HP printers from printer manager or with cups webinterface: http://localhost:631 first

    aurman -S hplip-minimal
    sudo hp-setup -i
    
  • Yay, I can print again. @joekamprad 's suggestion works better than with the full hplip before it broke (for me, anyway). Thanks.

  • @joekamprad said in BUG: hplip 3.18.7-1 breaks printing:

    i just can print again with replacing hplip with hplip-minimal from AUR!

    I did so, but it didn’t help at first. Than I launched hp-setup, which resulted in printing back alive.

    [[email protected] ~]$ hp-setup
    
    HP Linux Imaging and Printing System (ver. 3.18.3)
    Printer/Fax Setup Utility ver. 9.0
    
    Copyright (c) 2001-15 HP Development Company, LP
    This software comes with ABSOLUTELY NO WARRANTY.
    This is free software, and you are welcome to distribute it
    under certain conditions. See COPYING file for more details.
    
    (Note: Defaults for each question are maked with a '*'. Press <enter> to accept the default.)
    
    
    --------------------------------
    | SELECT CONNECTION (I/O) TYPE |
    --------------------------------
    
      Num       Connection  Description                             
                Type                                                
      --------  ----------  ----------------------------------------
      0*        usb         Universal Serial Bus (USB)              
      1         par         Parallel Port (LPT:)                    
    
    Enter number 0...1 for connection type (q=quit, enter=usb*) ? 
    
    Using connection type: usb
    
     
    Setting up device: hp:/usb/HP_LaserJet_Professional_P_1102w?serial=000000000W460BT7PR1a
    
    
    
    -------------------
    | UPDATING PLUGIN |
    -------------------
    
    
    HP Linux Imaging and Printing System (ver. 3.18.3)
    Plugin Download and Install Utility ver. 2.1
    
    Copyright (c) 2001-15 HP Development Company, LP
    This software comes with ABSOLUTELY NO WARRANTY.
    This is free software, and you are welcome to distribute it
    under certain conditions. See COPYING file for more details.
    
    
    HP Linux Imaging and Printing System (ver. 3.18.3)
    Plugin Download and Install Utility ver. 2.1
    
    Copyright (c) 2001-15 HP Development Company, LP
    This software comes with ABSOLUTELY NO WARRANTY.
    This is free software, and you are welcome to distribute it
    under certain conditions. See COPYING file for more details.
    
    (Note: Defaults for each question are maked with a '*'. Press <enter> to accept the default.)
    
    
    -----------------------------------------
    | PLUG-IN INSTALLATION FOR HPLIP 3.18.3 |
    -----------------------------------------
    
      Option      Description                                       
      ----------  --------------------------------------------------
      d           Download plug-in from HP (recommended)            
      p           Specify a path to the plug-in (advanced)          
      q           Quit hp-plugin (skip installation)                
    
    Enter option (d=download*, p=specify path, q=quit) ? d
    
    -------------------
    | DOWNLOAD PLUGIN |
    -------------------
    
    Checking for network connection...
    Downloading plug-in from: 
    Downloading plug-in: [\                                   ] 0% Receiving digital keys: /usr/bin/gpg --homedir /home/piotr/.hplip/.gnupg --no-permission-warning --keyserver pgp.mit.edu --recv-keys 0x4ABA2F66DBD5A95894910E0673D770CDA59047B9
     
    
    ----------------------
    | INSTALLING PLUG-IN |
    ----------------------
    
    Creating directory plugin_tmp
    Verifying archive integrity... All good.
    Uncompressing HPLIP 3.18.3 Plugin Self Extracting Archive..................................................
    
    HP Linux Imaging and Printing System (ver. 3.18.3)
    Plugin Installer ver. 3.0
    
    Copyright (c) 2001-15 HP Development Company, LP
    This software comes with ABSOLUTELY NO WARRANTY.
    This is free software, and you are welcome to distribute it
    under certain conditions. See COPYING file for more details.
    
    Plug-in version: 3.18.3
    Installed HPLIP version: 3.18.3
    Number of files to install: 42
    
    You must agree to the license terms before installing the plug-in:
    
    (...)                                               
    
    Do you accept the license terms for the plug-in (y=yes*, n=no, q=quit) ? y
    Please enter the sudoer (piotr)'s password: 
     
    Done.
     
    Done.
    
    ---------------------
    | PRINT QUEUE SETUP |
    ---------------------
    
    warning: One or more print queues already exist for this device: HP_LaserJet_Professional_P_1102w.
    
    Would you like to install another print queue for this device (y=yes, n=no*, q=quit) ? n
    
    
    Done.
    
    
  • i can use hplip package version = HP Device Manager (hplip) 1:3.18.6-1 from Arch-Repo here !

    HP Linux Imaging and Printing System (ver. 3.18.6)
    Printer/Fax Setup Utility ver. 9.0
    

    so they downgrade the package from repo?

  • @joekamprad I’m on the very same version, and it behaves differently than previous versions did: hp-setup started showing GUI again.

    0_1538856554252_hp-setup.png

  • hp-setup -i is starting commandline tool ;)

breaks31 printing6 hplip5 3.18.7-11 Posts 12Views 1030
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.